﻿-- -------------------
-- Approximationen
-- -------------------

SELECT SDO_GEOM.SDO_ARC_DENSIFY (geo,0.001,'arc_tolerance=0.05')
FROM GeoDbLand
WHERE name = 'Wall';

-- minimal umgebendes Rechteck:
SELECT SDO_GEOM.SDO_MBR(geo) FROM GeoDbLand WHERE name = 'Wall';

-- Konvexe Hülle:
SELECT SDO_GEOM.SDO_CONVEXHULL(geo,0.0001)
FROM GeoDbLand WHERE name = 'Steg';

-- nicht minimale Ergebnisse haben:
SELECT SDO_GEOM.SDO_CONVEXHULL(geo,0.0001)
FROM GeoDbLand WHERE name = 'Wall';

-- Generalisierung:

SELECT gebiet, SDO_UTIL.SIMPLIFY(gebiet,500) FROM Ortsnetze WHERE name = 'Lilienthal';



